//
//  CategoryDetailPresenter.swift
//  xsea
//
//  Created Phạm Anh Tuấn on 8/31/19.
//  Copyright © 2019 Phạm Anh Tuấn. All rights reserved.
//
//  Template generated by Juanpe Catalán @JuanpeCMiOS
//

import UIKit

class CategoryDetailPresenter: CategoryDetailPresenterProtocol, CategoryDetailInteractorOutputProtocol {
    var navigationBarColor: UIColor?
    
    var products: [Product]? = []
    
    
    
    func getProductsOfCategory() {
        interactor?.getProductsOfCategory()
    }
    
    func productsOfCategoryDidFetch(with products: [Product]) {
        self.products = products
        view?.showCategoryDetails()
    }
    
    var category: Category!
    

    weak private var view: CategoryDetailViewProtocol?
    var interactor: CategoryDetailInteractorInputProtocol?
    private let router: CategoryDetailWireframeProtocol

    init(interface: CategoryDetailViewProtocol, interactor: CategoryDetailInteractorInputProtocol?, router: CategoryDetailWireframeProtocol) {
        self.view = interface
        self.interactor = interactor
        self.router = router
    }

}
